/*
 * Copyright (C) 2012-2013 Daniel Medina <http://danielme.com>
 * 
 * This file is part of "Muspy for Android".
 * 
 * "Muspy for Android" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * "Muspy for Android" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License version 3
 * along with this program.  If not, see <http://www.gnu.org/licenses/gpl-3.0.html/>
 */

package com.danielme.muspyforandroid.activities.base;


import android.content.Intent;
import android.net.Uri;
import android.view.View;
import android.webkit.WebView;

/**
 * 
 * @author Daniel Medina
 * @since 1.2
 *
 */
public abstract class AbstractBrowserActivity extends AbstractActivity
{
	
	protected WebView browser;

	/* ************************************************************ */
	/*							BUTTONS           					*/
	/* ************************************************************ */	

	public void back(View view)
	{
		if (!browser.canGoBack())
		{
			finish();
		}
		else
		{
			browser.goBack();
		}
	}

	public void forward(View view)
	{
		browser.goForward();
	}
	
	public void browser(View view)
	{
		Intent intent = new Intent(Intent.ACTION_VIEW, Uri.parse(browser.getUrl()));
		defaultTransition(intent);
	}
}
