/*
 * Copyright (C) 2012-2013 Daniel Medina <http://danielme.com>
 * 
 * This file is part of "Muspy for Android".
 * 
 * "Muspy for Android" is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3.
 *
 * "Muspy for Android" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License version 3
 * along with this program.  If not, see <http://www.gnu.org/licenses/gpl-3.0.html/>
 */
package com.danielme.muspyforandroid.utils;

import java.util.Collection;

import com.danielme.muspyforandroid.MuspyApplication;

import android.content.Context;
import android.widget.EditText;

/**
 *
 * @author Daniel Medina (danielme.com)
 * @since 1.0
 * 
 */
public final class Utils
{

	private Utils()
	{
		//not implemented
	}

	public static boolean hasText(EditText editText)
	{
		return editText.getText().toString().length() > 0;
	}

	public static boolean hasText(String string)
	{
		boolean hasText = false;
		if (string != null)
		{
			for (int i = 0; i < string.length() && !hasText; i++)
			{
				if (!Character.isWhitespace(string.charAt(i)))
				{
					hasText = true;
				}
			}
		}
		return hasText;
	}

	public static boolean isEmpty(Collection<?> collection)
	{
		return collection == null || collection.isEmpty();
	}

	public static String getUserId(Context context)
	{
		MuspyApplication muspyApplication = (MuspyApplication) context.getApplicationContext();
		return muspyApplication.getUserID();
	}

	public static String getEmail(Context context)
	{
		MuspyApplication muspyApplication = (MuspyApplication) context.getApplicationContext();
		return muspyApplication.getEmail();
	}

	public static String getPass(Context context)
	{
		MuspyApplication muspyApplication = (MuspyApplication) context.getApplicationContext();
		return muspyApplication.getPass();
	}
	
	
}